package com.dcsoft.system.face.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 图片信息对象 face_image
 *
 * @author nichun
 * @date 2023-03-30
 */
public class FaceImage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学生Id */
    private Long id;

    /** 学工号 */
    @Excel(name = "学工号")
    private String stuId;

    /** 标签 */
    @Excel(name = "标签")
    private String label;

    /** 图片 */
    @Excel(name = "图片")
    private String imgs;

    private String labelName;

    private FaceStudent faceStudent;

    private String studentName;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getLabelName() {
        return labelName;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStuId(String stuId)
    {
        this.stuId = stuId;
    }

    public String getStuId()
    {
        return stuId;
    }
    public void setLabel(String label)
    {
        this.label = label;
    }

    public String getLabel()
    {
        return label;
    }
    public void setImgs(String imgs)
    {
        this.imgs = imgs;
    }

    public String getImgs()
    {
        return imgs;
    }

    public FaceStudent getFaceStudent() {
        return faceStudent;
    }

    public void setFaceStudent(FaceStudent faceStudent) {
        this.faceStudent = faceStudent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuId", getStuId())
            .append("label", getLabel())
            .append("imgs", getImgs())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
